curl --request GET \
--url 'https://api.coinstats.app/v1/rwa/assets/gold/markets' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/rwa/assets/gold/markets"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/rwa/assets/gold/markets', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/rwa/assets/gold/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/rwa/assets/gold/markets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/rwa/assets/gold/markets")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/rwa/assets/{rwaId}/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"currency": "USD",
"updatedAt": "2023-11-07T05:31:56Z",
"isStale": true,
"available": true,
"items": [
{
"id": "<string>",
"exchange": {
"name": "<string>",
"imageUrl": "<string>"
},
"base": "PAXG",
"target": "USD",
"price": 123,
"volume24h": 123,
"tradeUrl": "<string>",
"sourceUpdatedAt": "2023-11-07T05:31:56Z",
"isStale": true,
"isAnomaly": true
}
],
"pagination": {
"page": 1,
"limit": 100,
"total": 20,
"totalPages": 1
},
"filters": {
"tokens": [
{
"id": "<string>",
"name": "<string>"
}
],
"issuers": [
{
"id": "<string>",
"name": "<string>"
}
],
"exchanges": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Get Rwa Markets
List trading markets for a real-world asset
curl --request GET \
--url 'https://api.coinstats.app/v1/rwa/assets/gold/markets' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/rwa/assets/gold/markets"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/rwa/assets/gold/markets', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/rwa/assets/gold/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/rwa/assets/gold/markets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/rwa/assets/gold/markets")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/rwa/assets/{rwaId}/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"currency": "USD",
"updatedAt": "2023-11-07T05:31:56Z",
"isStale": true,
"available": true,
"items": [
{
"id": "<string>",
"exchange": {
"name": "<string>",
"imageUrl": "<string>"
},
"base": "PAXG",
"target": "USD",
"price": 123,
"volume24h": 123,
"tradeUrl": "<string>",
"sourceUpdatedAt": "2023-11-07T05:31:56Z",
"isStale": true,
"isAnomaly": true
}
],
"pagination": {
"page": 1,
"limit": 100,
"total": 20,
"totalPages": 1
},
"filters": {
"tokens": [
{
"id": "<string>",
"name": "<string>"
}
],
"issuers": [
{
"id": "<string>",
"name": "<string>"
}
],
"exchanges": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Required
Required
- rwaId: Asset ID from /rwa/assets.
You will get
You will get
- Exchange names, pairs, prices, 24h volume, trade links, freshness and anomaly flags, and filter options.
Optional
Optional
- token, issuer, exchange, search, sortBy, sortDirection, page, limit, currency.
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Path Parameters
RWA asset ID returned by /rwa/assets. This is separate from a cryptocurrency coinId.
"gold"
Query Parameters
Uppercase currency code from /currencies. Monetary values use this currency; percentages and quantities are unchanged.
Page number. The page offset must also be a safe integer.
1 <= x <= 90071992547409911 <= x <= 100Literal, case-insensitive substring search.
100Null values sort last in either direction.
asc, desc Issuer ID returned in filters.issuers.
300Token ID returned in filters.tokens; this is distinct from the CoinStats coinId.
300"pax-gold"
CoinStats exchange ID returned in filters.exchanges.
300"kraken"
name sorts by exchange name.
name, price, volume Response
"USD"
Publication/section update time, never request time.
Whether the upstream publication/section has exceeded its freshness threshold.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?